// Compiled by ClojureScript 1.10.520 {}
goog.provide('weathergen.worker');
goog.require('cljs.core');
goog.require('weathergen.model');
goog.require('weathergen.encoding');
goog.require('cljs.core.async');
weathergen.worker.main = (function weathergen$worker$main(){
console.debug("Generated weather worker is initializing");

return onmessage = (function (msg){
var val = weathergen.encoding.decode.call(null,msg.data);
return postMessage((function (){var timer_name__15816__auto__ = "Compute weather grid";
var ignore__15817__auto__ = console.time(timer_name__15816__auto__);
var result__15818__auto__ = (function (){var w = weathergen.model.weather_grid.call(null,val);
return weathergen.encoding.encode.call(null,w);
})();
console.timeEnd(timer_name__15816__auto__);

return result__15818__auto__;
})());
});
});
